import java.awt.*;
import java.applet.Applet;
import java.net.*;

public class HalfChess extends Applet
{
  private ChessCanvas tbord;
  private Panel links;
  String thesetup,thecolors;

  public void init()
  {
    int aantalkolommen;
    int aantalrijen;
//    aantalkolommen = Integer.parseInt(getParameter("columns"));
    aantalkolommen = 4;
//    aantalrijen    = Integer.parseInt(getParameter("rows"));
    aantalrijen = 8;

    tbord = new ChessCanvas (32,aantalrijen,aantalkolommen, this);
    tbord.resize (32*aantalkolommen,32*aantalrijen);

    links = new Panel();
    setBackground(Color.white);
    links.setLayout( new BorderLayout ());
    links.add ("Center", tbord);

    setLayout( new BorderLayout ());
    add ("West", links);

    tbord.LoadImages();

//    thesetup = getParameter("setup");
    thesetup = "rkqr/nbbn/4/4/4/4/NBBN/RKQR";
    tbord.ForsytheToBoard(thesetup);

    thecolors = "///////";
//    thecolors = getParameter("colors");
    tbord.ColorBoard(thecolors);

    tbord.DisableCastling();
  }

  public boolean mouseDown (Event ev, int x, int y)
    {
	if (ev.modifiers != 0)
	{
	  tbord.ForsytheToBoard(thesetup);
	  tbord.reset();
	  tbord.repaint();
        }
        return true;
    }
}
