import java.awt.*;
import java.applet.Applet;
import java.net.*;

public class ChessVariantApplet extends Applet
{
  ChessCanvas tbord;
  Panel links;
  String thesetup,thecolors;

  public void init()
  {
    int aantalkolommen;
    int aantalrijen;
//    aantalkolommen = Integer.parseInt(getParameter("columns"));
    aantalkolommen = NumberOfColumns();
//    aantalrijen    = Integer.parseInt(getParameter("rows"));
    aantalrijen = NumberOfRows();

    tbord = new ChessCanvas (32,aantalrijen,aantalkolommen, this);
    tbord.resize (32*aantalkolommen,32*aantalrijen);

    links = new Panel();
    setBackground(Color.white);
    links.setLayout( new BorderLayout ());
    links.add ("Center", tbord);

    setLayout( new BorderLayout ());
    add ("West", links);

    tbord.LoadImages();

//    thesetup = getParameter("setup");
    thesetup = Setup();
    tbord.ForsytheToBoard(thesetup);

//    thecolors = ColorString();
//    thecolors = getParameter("colors");
//    tbord.ColorBoard(thecolors);
    tbord.ColorBoard();

  }

int NumberOfColumns()
{
return Integer.parseInt(getParameter("columns"));
}

int NumberOfRows()
{
return Integer.parseInt(getParameter("rows"));
}

String Setup()
{
return getParameter("setup");
}

String ColorString()
{
 return getParameter("colors");
}

  public boolean mouseDown (Event ev, int x, int y)
    {
	if (ev.modifiers != 0)
	{
	  tbord.ForsytheToBoard(thesetup);
	  tbord.reset();
	  tbord.repaint();
        }
        return true;
    }
}
